# Interface MenuDetectListener

public interface MenuDetectListener
Classes which implement this interface provide methods that deal with the events that are generated when the platform-specific trigger for showing a context menu is detected.

After creating an instance of a class that implements this interface it can be added to a control or TrayItem using the `addMenuDetectListener` method and removed using the `removeMenuDetectListener` method. When the context menu trigger occurs, the `menuDetected` method will be invoked.

Since:
  1.3
See Also:
  - `MenuDetectEvent`

## Method Summary

Modifier and Type
Method
Description
`void`
`menuDetected(MenuDetectEvent e)`
Sent when the platform-dependent trigger for showing a menu item is detected.

## Method Details

### menuDetected

void menuDetected(MenuDetectEvent e)
Sent when the platform-dependent trigger for showing a menu item is detected.

Parameters:
  `e` - an event containing information about the menu detect